#
# spec file for package go-sendxmpp
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           go-sendxmpp
Version:        0.5.6
Release:        bp155.1.10
Summary:        A little tool to send messages to an XMPP contact or MUC
License:        BSD-2-Clause
Group:          Productivity/Networking/Instant Messenger
URL:            https://salsa.debian.org/mdosch/go-sendxmpp
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang-packaging

%description
A little tool to send messages to an XMPP contact or MUC.

%prep
%setup -q -a1

%build
go build \
   -mod=vendor \
   -buildmode=pie

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -D -m0644 man/%{name}.1 %{buildroot}%{_mandir}/man1

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Sun Nov 13 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.6:
  Added:
  * Add short option -h for http-upload.
  Changed:
  * Fix Ox key generation.
* Tue Oct 18 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.5:
  * Improve interactive mode.
* Fri Sep 30 2022 mvetter@suse.com
- Update to version 0.5.4:
  * Fix http-upload.
* Thu Sep 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.3:
  * Don't check for empty message when --listen is used.
* Thu Sep 29 2022 Michael Vetter <mvetter@suse.com>
- Update to 0.5.2:
  Added:
  * Reply to disco#info queries.
  * Send service-unavailable errors for all other IQs of type get and set.
  * New config option and command line flag alias to uncouple MUC
    nickname/alias from resource.
  Changed:
  * Ox: Improve error messages for failed key requests.
  * Ox: Do not encrypt empty messages.
  * Check for empty messages.
  * Always look up CNAME before doing SRV lookups (via xmppsrv v0.2.3).
  * Detect CNAME loops (max. 5 CNAMEs) (via xmppsrv >= v0.2.4).
  * Deprecate resource config option and command line flag.
  * Improve error handling in XML parsing.
  * Don't connect to the XMPP server if the message is empty.
* Thu Aug  4 2022 Michael Vetter <mvetter@suse.com>
- Initial package of go-sendxmpp 0.5.1 for openSUSE
